Libical API Documentation 3.0

Data Fields
icalset_impl Struct Reference

## Data Fields
icalerrorenum(* | add_component )(icalset *set, icalcomponent *comp)
void(* | clear )(icalset *set)
icalerrorenum(* | commit )(icalset *set)
int(* | count_components )(icalset *set, icalcomponent_kind kind)
char * | dsn
icalcomponent *(* | fetch )(icalset *set, icalcomponent_kind kind, const char *uid)
icalcomponent *(* | fetch_match )(icalset *set, icalcomponent *comp)
void(* | free )(icalset *set)
icalcomponent *(* | get_current_component )(icalset *set)
icalcomponent *(* | get_first_component )(icalset *set)
icalcomponent *(* | get_next_component )(icalset *set)
int(* | has_uid )(icalset *set, const char *uid)
icalsetiter(* | icalset_begin_component )(icalset *set, icalcomponent_kind kind, icalgauge *gauge, const char *tzid)
icalcomponent *(* | icalsetiter_to_next )(icalset *set, icalsetiter *i)
icalcomponent *(* | icalsetiter_to_prior )(icalset *set, icalsetiter *i)
icalset *(* | init )(icalset *set, const char *dsn, void *options)
icalset_kind | kind
void(* | mark )(icalset *set)
icalerrorenum(* | modify )(icalset *set, icalcomponent *old, icalcomponent *newc)
const char *(* | path )(icalset *set)
icalerrorenum(* | remove_component )(icalset *set, icalcomponent *comp)
icalerrorenum(* | select )(icalset *set, icalgauge *gauge)
size_t | size

The documentation for this struct was generated from the following file:

- icalset.h